Page MenuHomePhabricator

PayPal listener putting name in address fields
Closed, ResolvedPublic2 Estimated Story Points

Description

Something funny going on here:

Contact ID 18056276

The donor's full name is appearing as supplemental_address_1. It came in via the PayPal listener.

Event Timeline

awight created this task.Dec 6 2016, 5:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 5:50 PM

We map their field address_name to our field supplemental_address_1. Is there a better place to assign that value?

Ah. I just checked with @CaitVirtue, and my understanding of the problem was wrong. Yeah, all that happened is that the name is appearing in two places which is silly. It's also annoying for DRY reasons cos now it has to be fixed in two places if necessary.

I guess we should check whether name === address_name, and drop the latter if so.

awight updated the task description. (Show Details)Dec 6 2016, 6:37 PM
CaitVirtue added a subscriber: DKaufman.
CaitVirtue added a subscriber: DStrine.

@awight just ran a report and we got 81,000 records from the last 2 days. We need to plug the hole, wherever it is.

DStrine triaged this task as Unbreak Now! priority.Dec 6 2016, 7:08 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes. · View Herald TranscriptDec 6 2016, 7:08 PM

Change 325607 had a related patch set uploaded (by Cdentinger):
reject some address_names

https://gerrit.wikimedia.org/r/325607

cwdent added a comment.EditedDec 6 2016, 7:29 PM

I believe this is due to people configuring their paypal profile with their name in the "business name" part

I take it back, every request appears to have the person's name in address_name. We've always been copying it to supplemental_address_1 as far as I know.

DStrine lowered the priority of this task from Unbreak Now! to High.Dec 6 2016, 8:07 PM

Change 325607 merged by jenkins-bot:
reject some address_names

https://gerrit.wikimedia.org/r/325607

Change 325705 had a related patch set uploaded (by Awight):
reject some address_names

https://gerrit.wikimedia.org/r/325705

Change 325705 merged by jenkins-bot:
reject some address_names

https://gerrit.wikimedia.org/r/325705

cwdent closed this task as Resolved.Dec 7 2016, 6:08 PM
cwdent moved this task from Doing to Done on the Fundraising Sprint Waiting for Godot board.
cwdent set the point value for this task to 2.
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM